
#include "cv.h"

class ExtractPresentation
{
	IplImage *work;
	int width, height;
	CvPoint2D32f Corners[4];
	IplImage *prevImage;
public:
	ExtractPresentation() { work = NULL;  prevImage = NULL; }
	~ExtractPresentation()
	{
	if (prevImage!=NULL) 
		cvReleaseImage(&prevImage);
	if (work!=NULL) 
		cvReleaseImage(&work);
	}
	bool CalcDifference(IplImage *image, float Threshold);
	void Init(int xsize, int ysize);

};

